cl_platform.h File Reference

Wrapper to select proper OpenCL headers for various platforms. More...

`#include <CL/cl.h>`
`#include <CL/cl_ext.h>`
`#include <CL/cl_gl.h>`
Include dependency graph for cl_platform.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CL_TARGET_OPENCL_VERSION 120
#define | CL_USE_DEPRECATED_OPENCL_1_1_APIS
#define | CL_USE_DEPRECATED_OPENCL_1_2_APIS

## Detailed Description

Wrapper to select proper OpenCL headers for various platforms.

## Macro Definition Documentation

## CL_TARGET_OPENCL_VERSION

#define CL_TARGET_OPENCL_VERSION 120

## CL_USE_DEPRECATED_OPENCL_1_1_APIS

#define CL_USE_DEPRECATED_OPENCL_1_1_APIS

## CL_USE_DEPRECATED_OPENCL_1_2_APIS

#define CL_USE_DEPRECATED_OPENCL_1_2_APIS